Chimera: chimera_0-8/src/jval.c File Reference

- Main Page
- Classes
- Files
- Directories

- File List
- File Members

# jval.c File Reference

`#include <stdio.h>`
`#include <string.h>`
`#include "jval.h"`

## Functions
Jval | new_jval_i (int i)
Jval | new_jval_l (long l)
Jval | new_jval_f (float f)
Jval | new_jval_d (double d)
Jval | new_jval_v (void *v)
Jval | new_jval_s (char *s)
Jval | new_jval_c (char c)
Jval | new_jval_uc (unsigned char uc)
Jval | new_jval_sh (short sh)
Jval | new_jval_ush (unsigned short ush)
Jval | new_jval_ui (unsigned int i)
Jval | new_jval_iarray (int i0, int i1)
Jval | new_jval_farray (float f0, float f1)
Jval | new_jval_carray_nt (char *carray)
Jval | new_jval_carray_nnt (char *carray)
int | jval_i (Jval j)
long | jval_l (Jval j)
float | jval_f (Jval j)
double | jval_d (Jval j)
void * | jval_v (Jval j)
char * | jval_s (Jval j)
char | jval_c (Jval j)
unsigned char | jval_uc (Jval j)
short | jval_sh (Jval j)
unsigned short | jval_ush (Jval j)
unsigned int | jval_ui (Jval j)
int * | jval_iarray (Jval j)
float * | jval_farray (Jval j)
char * | jval_carray (Jval j)
## Variables
Jval | JNULL

## Function Documentation

char jval_c | ( | Jval | j | ) |

char* jval_carray | ( | Jval | j | ) |

double jval_d | ( | Jval | j | ) |

float jval_f | ( | Jval | j | ) |

float* jval_farray | ( | Jval | j | ) |

int jval_i | ( | Jval | j | ) |

int* jval_iarray | ( | Jval | j | ) |

long jval_l | ( | Jval | j | ) |

char* jval_s | ( | Jval | j | ) |

short jval_sh | ( | Jval | j | ) |

unsigned char jval_uc | ( | Jval | j | ) |

unsigned int jval_ui | ( | Jval | j | ) |

unsigned short jval_ush | ( | Jval | j | ) |

void* jval_v | ( | Jval | j | ) |

Jval new_jval_c | ( | char | c | ) |

Jval new_jval_carray_nnt | ( | char * | carray | ) |

Jval new_jval_carray_nt | ( | char * | carray | ) |

Jval new_jval_d | ( | double | d | ) |

Jval new_jval_f | ( | float | f | ) |

Jval new_jval_farray | ( | float | f0,
|  | float | f1
| ) |

Jval new_jval_i | ( | int | i | ) |

Jval new_jval_iarray | ( | int | i0,
|  | int | i1
| ) |

Jval new_jval_l | ( | long | l | ) |

Jval new_jval_s | ( | char * | s | ) |

Jval new_jval_sh | ( | short | sh | ) |

Jval new_jval_uc | ( | unsigned char | uc | ) |

Jval new_jval_ui | ( | unsigned int | i | ) |

Jval new_jval_ush | ( | unsigned short | ush | ) |

Jval new_jval_v | ( | void * | v | ) |

## Variable Documentation

Jval JNULL